Layer7 API Management

Expand all | Collapse all

I am trying to install layer7 version 8.2 with mysql.

Jump to Best Answer
  • 1.  I am trying to install layer7 version 8.2 with mysql.

    Posted 05-02-2015 09:21 AM

    I am new to this tool. I am trying to install layer7 with mysql. But I am getting below :--

     

     

    An error occurred during configuration.

     

    Error creating database when saving configuration 'Unable to create database, there is an existing incompatible database.'

    Would you like to re-configure? [Yes]:

     

    Mysql version :-- Server version: 5.5.40 MySQL Community Server (GPL)

     

    Please suggest.



  • 2.  Re: I am trying to install layer7 version 8.2 with mysql.

    Posted 05-04-2015 04:32 PM

    Is anyone able to offer any guidance on this question?

     

    Thank you



  • 3.  Re: I am trying to install layer7 version 8.2 with mysql.

    Posted 05-04-2015 05:44 PM
      |   view attached

    Ankush,

     

    Would you be able to provide the version of the Gateway that you are looking to install? Also does the MySQL instance that you are using already have a SSG database installed?

     

    Lastly we have attached a sample my.cnf file that we use for both appliance and software installation that needs to be placed in the /etc/ directory. Please ensure that the file paths in the my.cnf file match where you have installed MySQL.

    Attachment(s)

    zip
    my.cnf.ssg.zip   1K 1 version


  • 4.  Re: I am trying to install layer7 version 8.2 with mysql.

    Posted 05-04-2015 10:32 PM

    Hi Stephen,

     

    I am trying to install " Layer 8.2.00-5 " 32 bit version on RHEL 6.4 32 bit OS. As part of prerequisite, I created ssg database on mysql. Setup I am trying was completely fresh , no required component was installed on it before.

     

    I will try out zip file you have provided and will keep you posted over it.

     

    Thanks in advance,

    Ankush



  • 5.  Re: I am trying to install layer7 version 8.2 with mysql.

    Posted 05-05-2015 12:09 AM

    Here’s a document outlining how to do it…

     

     

    Thanks,

     

    Derek Orr

     

    CA Technologies |885 West Georgia Street Ste 500 | Vancouver, BC V6C 3G1

    Office: 1-778-328-5285 | Mobile: +1 778 980 0029 | Derek.Orr@ca.com

     

    <mailto:>[CA]

     

    <http://www.ca.com/us/default.aspx>[Twitter]<http://twitter.com/CAInc>[LinkedIn]<http://www.linkedin.com/company/1372?goback=.cps_1244823420724_1>[Facebook]<https://www.facebook.com/CATechnologies>[YouTube]<http://www.youtube.com/user/catechnologies>[Google]<https://plus.google.com/CATechnologies>[Slideshare]<http://www.slideshare.net/cainc>

    Attachment(s)



  • 6.  Re: I am trying to install layer7 version 8.2 with mysql.

    Posted 05-06-2015 03:19 AM

    Hey Derek,

     

    I tried opening up file which you shared, but it is showing as corrupt. I request you to share this in .pdf or backward compatibility format , that will be very helpful

     

    Thanks in advance,

    Ankush



  • 7.  Re: I am trying to install layer7 version 8.2 with mysql.

    Posted 05-05-2015 03:48 PM

    Hey Ankush,

     

    Did Derek's comment help you out?

     

    if so, would you mind marking this as Answered?

     

    thanks!



  • 8.  Re: I am trying to install layer7 version 8.2 with mysql.

    Posted 05-06-2015 10:41 AM
      |   view attached

    Hi Stephen / Derek,

     

    I tried with the steps shared by you. But I still got same error. I am installing on rhel 6.4 32 bit, tried both mysql version -- 5.5 community server and mysql 5.6 enterprise as well.

     

    Attaching steps followed. Please suggest.

     

    Thanks & Regards,

    Ankush

    Attachment(s)

    zip
    failed_steps.txt.zip   1K 1 version


  • 9.  Re: I am trying to install layer7 version 8.2 with mysql.
    Best Answer

    Posted 05-13-2015 10:30 AM

    Hi Ankush

     

    Just reviewed the thread and the your attached failed_steps.txt, the error message is:-

     

    Unable to create database, there is an existing incompatible database

     

    The question is do you have an existing ssg database, use the following command to list the databases deployed on this MySQL instance:-

     

    mysql -u <DBRootUsername> -p -e "show databases;"

     

    Christopher Clark

    CA Support



  • 10.  Re: I am trying to install layer7 version 8.2 with mysql.

    Posted 11-24-2018 05:03 PM

    Hi,

    I am also facing the same issue while running setup.sh file , whenever I am running the script its creating a ssg database , then its giving me error for the same database . If you have any solution to fix it please help me .

    Version :-  9.2

    Os : - Red Hat Enterprise Linux Server release 7.3 (Maipo)

    Mysql :- Server version: 5.5.62 MySQL Community Server (GPL)



  • 11.  Re: I am trying to install layer7 version 8.2 with mysql.

    Posted 11-26-2018 01:25 PM

    This is normally due to how MySQL is configured around Character Set and such. Please use the attached my.cnf file to help move you forward. https://communities.ca.com/servlet/JiveServlet/download/241790834-1-105065/my.cnf.ssg.zip